<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
          DB::statement("
            ALTER TABLE appointments 
            MODIFY COLUMN status 
            ENUM('pending', 'confirmed', 'rejected', 'canceled','rescheduled',
            'processing', 'occurred') 
            NOT NULL DEFAULT 'pending';
        ");
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
         // On supprime canceled dans le rollback
        DB::statement("
            ALTER TABLE appointments 
            MODIFY COLUMN status 
            ENUM('pending', 'confirmed', 'rejected') 
            NOT NULL DEFAULT 'pending';
        ");
    }
};
